Bug 1093464

Summary: Rush crash when building Firefox
Product: [openSUSE] openSUSE Tumbleweed Reporter: Martin Liška <martin.liska>
Component: BasesystemAssignee: Luke Jones <luke>
Status: RESOLVED FIXED QA Contact: E-mail List <qa-bugs>
Severity: Normal    
Priority: P5 - None CC: cgrobertson, luke, mmanu84, msrb, ngompa13, pcerny, wolfgang
Version: CurrentFlags: martin.liska: needinfo? (wolfgang)
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Attachments: strace log file

Description Martin Liška 2018-05-16 08:02:13 UTC
After I've updated my TW I see:

$ rustc --version
rustc 1.25.0

19:42.06 stack backtrace:
19:42.06    0:     0x55555572c63b - std::sys::unix::backtrace::tracing::imp::unwind_backtrace::h56efc8b47c110c58
19:42.06                                at libstd/sys/unix/backtrace/tracing/gcc_s.rs:49
19:42.06    1:     0x555555731180 - std::sys_common::backtrace::print::hfb1b30082d3d25c1
19:42.06                                at libstd/sys_common/backtrace.rs:71
19:42.06                                at libstd/sys_common/backtrace.rs:59
19:42.06    2:     0x55555571e8fd - std::panicking::default_hook::{{closure}}::hb67c99375aabd5d0
19:42.06                                at libstd/panicking.rs:380
19:42.06    3:     0x55555571e669 - std::panicking::default_hook::h68d1c0c0bdcdafe6
19:42.06                                at libstd/panicking.rs:396
19:42.07    4:     0x55555571ed50 - std::panicking::rust_panic_with_hook::he8346e7912797ff1
19:42.07                                at libstd/panicking.rs:576
19:42.07    5:     0x55555571eb9e - std::panicking::begin_panic::h7eb321f279c30f36
19:42.07                                at libstd/panicking.rs:537
19:42.07    6:     0x55555571eb0a - std::panicking::begin_panic_fmt::h3e1b2c309f719757
19:42.07                                at libstd/panicking.rs:521
19:42.07    7:     0x555555576d10 - build_script_build::build_gecko::bindings::write_binding_file::ha680e3926b5cecf6
19:42.07    8:     0x55555557874d - build_script_build::build_gecko::bindings::generate_bindings::hee55964adafe50e7
19:42.07    9:     0x55555573b84e - __rust_maybe_catch_panic
19:42.07                                at libpanic_unwind/lib.rs:102
19:42.07   10:     0x555555571ad4 - std::panicking::try::h16a5a0a924b0a640
19:42.07   11:     0x55555557b2a8 - std::panic::catch_unwind::h7755f21f83ebcc78
19:42.07   12:     0x555555566d14 - <F as alloc::boxed::FnBox<A>>::call_box::h77333763cd9f0f71
19:42.07   13:     0x555555734207 - std::sys_common::thread::start_thread::h4ab94af70c7c8a9e
19:42.07                                at /home/abuild/rpmbuild/BUILD/rustc-1.25.0-src/src/liballoc/boxed.rs:798
19:42.07                                at libstd/sys_common/thread.rs:24
19:42.07   14:     0x55555571f378 - std::sys::unix::thread::Thread::new::thread_start::h06526a71efb51622
19:42.07                                at libstd/sys/unix/thread.rs:90
19:42.07   15:     0x7ffff7bbf59a - start_thread
19:42.07   16:     0x7ffff72cfa1e - __clone
19:42.07   17:                0x0 - <unknown>
19:42.07 /home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/Compiler.h:49:12: fatal error: 'cstddef' file not found
19:42.07 /home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/Compiler.h:49:12: fatal error: 'cstddef' file not found, err: true
19:42.07 thread '<unnamed>' panicked at 'Failed to generate bindings, flags: ["/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nsXBLBinding.h", "--rust-target", "1.0", "--bitfield-enum", "nsChangeHint", "--bitfield-enum", "nsRestyleHint", "--bitfield-enum", "mozilla::OriginFlags", "--rustified-enum", "nsCompatibility", "--rustified-enum", "mozilla::EffectCompositor_CascadeLevel", "--rustified-enum", "mozilla::SheetType", "--rustified-enum", "mozilla::dom::CallerType", "--rustified-enum", "mozilla::dom::IterationCompositeOperation", "--rustified-enum", "mozilla::dom::CompositeOperation", "--rustified-enum", "mozilla::InheritTarget", "--rustified-enum", "mozilla::FontFamilyType", "--rustified-enum", "mozilla::css::URLMatchingFunction", "--rustified-enum", "mozilla::css::SheetParsingMode", "--rustified-enum", "nsStyleContentType", "--rustified-enum", "nsStyleSVGOpacitySource", "--rustified-enum", "nsStyleUnit", "--rustified-enum", "nsCSSKeyword", "--rustified-enum", "nsIDocument_DocumentTheme", "--rustified-enum", "nsIDocument_Type", "--rustified-enum", "nsCSSUnit", "--rustified-enum", "nsCSSFontDesc", "--rustified-enum", "nsCSSPropertyID", "--rustified-enum", "nsCSSCounterDesc", "--rustified-enum", "nsMediaFeature_RangeType", "--rustified-enum", "nsMediaFeature_ValueType", "--rustified-enum", "nsresult", "--rustified-enum", "nsAtom_AtomKind", "--rustified-enum", "nsStyleImageLayers_LayerType", "--rustified-enum", "nsStyleImageOrientation_Angles", "--rustified-enum", "nsTimingFunction_Type", "--rustified-enum", "mozilla::ServoElementSnapshotFlags", "--rustified-enum", "mozilla::Side", "--rustified-enum", "mozilla::dom::PlaybackDirection", "--rustified-enum", "mozilla::dom::FillMode", "--rustified-enum", "mozilla::HalfCorner", "--rustified-enum", "mozilla::StyleDisplay", "--rustified-enum", "mozilla::StyleFloatEdge", "--rustified-enum", "mozilla::StyleShapeRadius", "--rustified-enum", "mozilla::StyleWindowDragging", "--rustified-enum", "mozilla::StyleOrient", "--rustified-enum", "mozilla::StyleBoxSizing", "--rustified-enum", "mozilla::StyleClear", "--rustified-enum", "mozilla::StyleFloat", "--rustified-enum", "mozilla::StyleUserModify", "--rustified-enum", "mozilla::StyleUserInput", "--rustified-enum", "mozilla::StyleBoxDirection", "--rustified-enum", "mozilla::StyleTextJustify", "--rustified-enum", "mozilla::StyleHyphens", "--rustified-enum", "mozilla::StyleFillRule", "--rustified-enum", "mozilla::StyleShapeSourceType", "--rustified-enum", "mozilla::StyleBasicShapeType", "--rustified-enum", "nsStyleImageLayers_Size_DimensionType", "--rustified-enum", "mozilla::StyleStackSizing", "--rustified-enum", "mozilla::StyleBorderImageRepeat", "--rustified-enum", "mozilla::StyleBoxPack", "--rustified-enum", "mozilla::StyleBoxOrient", "--rustified-enum", "mozilla::StyleBoxAlign", "--rustified-enum", "mozilla::StyleUserFocus", "--rustified-enum", "mozilla::StyleUserSelect", "--rustified-enum", "mozilla::StyleImageLayerRepeat", "--rustified-enum", "mozilla::StyleImageLayerAttachment", "--rustified-enum", "mozilla::StyleBoxDecorationBreak", "--rustified-enum", "mozilla::StyleRuleInclusion", "--rustified-enum", "mozilla::StyleGridTrackBreadth", "--rustified-enum", "mozilla::StyleOverscrollBehavior", "--rustified-enum", "mozilla::StyleWhiteSpace", "--rustified-enum", "nsStyleImageType", "--rustified-enum", "nsStyleSVGPaintType", "--rustified-enum", "nsStyleSVGFallbackType", "--rustified-enum", "nsINode_BooleanFlag", "--rustified-enum", "mozilla::CSSPseudoElementType", "--rustified-enum", "mozilla::LookAndFeel_ColorID", "--rustified-enum", "mozilla::LookAndFeel_FontID", "--rustified-enum", "nsStyleTransformMatrix::MatrixTransformOperator", "--rustified-enum", "mozilla::StyleGeometryBox", "--rustified-enum", "mozilla::SystemColor", "--blacklist-type", "nsString", "--blacklist-type", ".*char_traits", "--blacklist-type", ".*incompatible_char_type", "--blacklist-type", "JS::Value", "--blacklist-type", "mozilla::binding_danger::TErrorResult.*", "--blacklist-type", "mozilla::ErrorResult.*", "--blacklist-type", "mozilla::dom::CallbackFunction", "--blacklist-type", "mozilla::dom::CallbackObject.*", "--blacklist-type", "nsINode_ErrorResult", "--blacklist-type", "nsDOMAttributeMap_ErrorResult", "--blacklist-type", "\\s*mozilla\\s*::\\s*ServoUnsafeCell\\s*", "--blacklist-type", "\\s*mozilla\\s*::\\s*ServoCell\\s*", "--blacklist-type", "\\s*ServoNodeData\\s*", "--blacklist-type", "\\s*mozilla\\s*::\\s*ServoWritingMode\\s*", "--blacklist-type", "\\s*mozilla\\s*::\\s*ServoCustomPropertiesMap\\s*", "--blacklist-type", "\\s*mozilla\\s*::\\s*ServoRuleNode\\s*", "--blacklist-type", "\\s*mozilla\\s*::\\s*ServoVisitedStyle\\s*", "--blacklist-type", "\\s*mozilla\\s*::\\s*ServoComputedValueFlags\\s*", "--blacklist-type", "\\s*mozilla\\s*::\\s*ServoRawOffsetArc\\s*", "--blacklist-type", "\\s*ComputedStyleStrong\\s*", "--no-derive-default", "--enable-cxx-namespaces", "--ignore-functions", "--generate", "types,vars", "--ignore-methods", "--opaque-type", "std::pair__PCCP", "--opaque-type", "std::namespace::atomic___base", "--opaque-type", "std::atomic__My_base", "--opaque-type", "std::atomic", "--opaque-type", "std::atomic___base", "--opaque-type", "mozilla::gfx::(.{0,4}|.{6,12}|.{14,}|([^F][^o][^n][^t][^V][^a][^r][^i][^a][^t][^i][^o][^n])|([^F][^l][^o][^a][^t]))", "--opaque-type", "mozilla::dom::Sequence", "--opaque-type", "mozilla::dom::Optional", "--opaque-type", "mozilla::dom::OwningNodeOrString_Value", "--opaque-type", "mozilla::dom::Nullable", "--opaque-type", "mozilla::external::AtomicRefCounted", "--opaque-type", "RefPtr_Proxy", "--opaque-type", "RefPtr_Proxy_member_function", "--opaque-type", "nsAutoPtr_Proxy", "--opaque-type", "nsAutoPtr_Proxy_member_function", "--opaque-type", "mozilla::detail::PointerType", "--opaque-type", "mozilla::Pair_Base", "--opaque-type", "mozilla::SeenPtrs", "--opaque-type", "mozilla::SupportsWeakPtr", "--opaque-type", "SupportsWeakPtr", "--opaque-type", "mozilla::detail::WeakReference", "--opaque-type", "mozilla::WeakPtr", "--opaque-type", "nsWritingIterator_reference", "--opaque-type", "nsReadingIterator_reference", "--opaque-type", "nsTObserverArray", "--opaque-type", "nsTHashtable", "--opaque-type", "nsBaseHashtable", "--opaque-type", "nsRefPtrHashtable", "--opaque-type", "nsDataHashtable", "--opaque-type", "nsClassHashtable", "--opaque-type", "nsInterfaceHashtable", "--opaque-type", "nsIDocument_SelectorCache", "--opaque-type", "nsIPresShell_ScrollAxis", "--opaque-type", "nsPIDOMWindow", "--opaque-type", "JS::Rooted", "--opaque-type", "mozilla::Maybe", "--opaque-type", "gfxSize", "--opaque-type", "gfxSize_Super", "--opaque-type", "mozilla::StyleAnimationValue", "--opaque-type", "StyleAnimationValue", "--opaque-type", "mozilla::dom::.*Callback", "--opaque-type", "mozilla::SchedulerGroup", "--raw-line", "pub use self::root::*;", "--raw-line", "pub use self::root::mozilla::*;", "--raw-line", "pub use self::root::mozilla::css::*;", "--raw-line", "pub use self::root::mozilla::dom::*;", "--raw-line", "use atomic_refcell::AtomicRefCell;", "--raw-line", "use data::ElementData;", "--raw-line", "pub type ServoUnsafeCell<T> = ::std::cell::UnsafeCell<T>;", "--raw-line", "pub type ServoCell<T> = ::std::cell::Cell<T>;", "--raw-line", "pub type ServoNodeData = AtomicRefCell<ElementData>;", "--raw-line", "pub type ServoWritingMode = ::logical_geometry::WritingMode;", "--raw-line", "pub type ServoCustomPropertiesMap = Option<::servo_arc::Arc<::custom_properties::CustomPropertiesMap>>;", "--raw-line", "pub type ServoRuleNode = Option<::rule_tree::StrongRuleNode>;", "--raw-line", "pub type ServoVisitedStyle = Option<::servo_arc::RawOffsetArc<::properties::ComputedValues>>;", "--raw-line", "pub type ServoComputedValueFlags = ::properties::computed_value_flags::ComputedValueFlags;", "--raw-line", "pub type ServoRawOffsetArc<T> = ::servo_arc::RawOffsetArc<T>;", "--raw-line", "pub type ComputedStyleStrong = ::gecko_bindings::sugar::ownership::Strong<::properties::ComputedValues>;", "--whitelist-type", "RawGecko.*", "--whitelist-type", "mozilla::AnimationPropertySegment", "--whitelist-type", "mozilla::AnonymousCounterStyle", "--whitelist-type", "mozilla::AtomArray", "--whitelist-type", "mozilla::ComputedTiming", "--whitelist-type", "mozilla::ComputedTimingFunction", "--whitelist-type", "mozilla::ComputedTimingFunction::BeforeFlag", "--whitelist-type", "mozilla::SeenPtrs", "--whitelist-type", "mozilla::ServoElementSnapshot.*", "--whitelist-type", "mozilla::ComputedStyle", "--whitelist-type", "mozilla::StyleSheet", "--whitelist-type", "mozilla::ServoStyleSheetInner", "--whitelist-type", "mozilla::ServoStyleSetSizes", "--whitelist-type", "mozilla::ServoTraversalStatistics", "--whitelist-type", "mozilla::css::ErrorReporter", "--whitelist-type", "mozilla::css::LoaderReusableStyleSheets", "--whitelist-type", "mozilla::css::SheetLoadData", "--whitelist-type", "mozilla::css::SheetLoadDataHolder", "--whitelist-type", "mozilla::css::SheetParsingMode", "--whitelist-type", "mozilla::css::URLMatchingFunction", "--whitelist-type", "mozilla::dom::IterationCompositeOperation", "--whitelist-type", "mozilla::dom::StyleChildrenIterator", "--whitelist-type", "mozilla::HalfCorner", "--whitelist-type", "mozilla::MallocSizeOf", "--whitelist-type", "mozilla::OriginFlags", "--whitelist-type", "mozilla::PropertyStyleAnimationValuePair", "--whitelist-type", "mozilla::ServoTraversalFlags", "--whitelist-type", "mozilla::StaticPrefs", "--whitelist-type", "mozilla::StyleShapeRadius", "--whitelist-type", "mozilla::StyleGrid.*", "--whitelist-type", "mozilla::UpdateAnimationsTasks", "--whitelist-type", "mozilla::LookAndFeel", "--whitelist-type", "mozilla::gfx::Float", "--whitelist-type", "mozilla::gfx::FontVariation", "--whitelist-type", "mozilla::StyleImageLayerAttachment", "--whitelist-type", ".*ThreadSafe.*Holder", "--whitelist-type", "AnonymousContent", "--whitelist-type", "AudioContext", "--whitelist-type", "CapturingContentInfo", "--whitelist-type", "DefaultDelete", "--whitelist-type", "DOMIntersectionObserverEntry", "--whitelist-type", "Element", "--whitelist-type", "FontFamilyList", "--whitelist-type", "FontFamilyName", "--whitelist-type", "FontSizePrefs", "--whitelist-type", "FragmentOrURL", "--whitelist-type", "FrameRequestCallback", "--whitelist-type", "GeckoParserExtraData", "--whitelist-type", "GeckoFontMetrics", "--whitelist-type", "gfxAlternateValue", "--whitelist-type", "gfxFontFeature", "--whitelist-type", "gfxFontFeatureValueSet", "--whitelist-type", "gfxFontVariation", "--whitelist-type", "GridNamedArea", "--whitelist-type", "mozilla::HalfCorner", "--whitelist-type", "Image", "--whitelist-type", "ImageURL", "--whitelist-type", "Keyframe", "--whitelist-type", "MediumFeaturesChangedResult", "--whitelist-type", "nsAttrName", "--whitelist-type", "nsAttrValue", "--whitelist-type", "nscolor", "--whitelist-type", "nsChangeHint", "--whitelist-type", "nsCSSCounterDesc", "--whitelist-type", "nsCSSFontDesc", "--whitelist-type", "nsCSSKTableEntry", "--whitelist-type", "nsCSSKeyword", "--whitelist-type", "nsCSSPropertyID", "--whitelist-type", "nsCSSPropertyIDSet", "--whitelist-type", "nsCSSProps", "--whitelist-type", "nsCSSShadowArray", "--whitelist-type", "nsCSSValue", "--whitelist-type", "nsCSSValueList", "--whitelist-type", "nsCSSValueList_heap", "--whitelist-type", "nsCSSValuePair_heap", "--whitelist-type", "nsCSSValuePairList", "--whitelist-type", "nsCSSValuePairList_heap", "--whitelist-type", "nsCSSValueTriplet_heap", "--whitelist-type", "nsCursorImage", "--whitelist-type", "nsFont", "--whitelist-type", "nsAtom", "--whitelist-type", "nsDynamicAtom", "--whitelist-type", "nsMargin", "--whitelist-type", "nsMediaFeature", "--whitelist-type", "nsMediaFeatures", "--whitelist-type", "nsRect", "--whitelist-type", "nsRestyleHint", "--whitelist-type", "nsresult", "--whitelist-type", "nsSimpleContentList", "--whitelist-type", "nsSize", "--whitelist-type", "nsStyleBackground", "--whitelist-type", "nsStyleBorder", "--whitelist-type", "nsStyleColor", "--whitelist-type", "nsStyleColumn", "--whitelist-type", "nsStyleContent", "--whitelist-type", "nsStyleContentData", "--whitelist-type", "ComputedStyle", "--whitelist-type", "nsStyleCoord", "--whitelist-type", "nsStyleCounterData", "--whitelist-type", "nsStyleDisplay", "--whitelist-type", "nsStyleEffects", "--whitelist-type", "nsStyleFilter", "--whitelist-type", "nsStyleFont", "--whitelist-type", "nsStyleGradient", "--whitelist-type", "nsStyleGradientStop", "--whitelist-type", "nsStyleGridTemplate", "--whitelist-type", "nsStyleImage", "--whitelist-type", "nsStyleImageLayers", "--whitelist-type", "nsStyleList", "--whitelist-type", "nsStyleMargin", "--whitelist-type", "nsStyleOutline", "--whitelist-type", "nsStylePadding", "--whitelist-type", "nsStylePosition", "--whitelist-type", "nsStyleSides", "--whitelist-type", "nsStyleSVG", "--whitelist-type", "nsStyleSVGOpacitySource", "--whitelist-type", "nsStyleSVGPaint", "--whitelist-type", "nsStyleSVGReset", "--whitelist-type", "nsStyleTable", "--whitelist-type", "nsStyleTableBorder", "--whitelist-type", "nsStyleText", "--whitelist-type", "nsStyleTextReset", "--whitelist-type", "nsStyleUIReset", "--whitelist-type", "nsStyleUnion", "--whitelist-type", "nsStyleUnit", "--whitelist-type", "nsStyleUserInterface", "--whitelist-type", "nsStyleVisibility", "--whitelist-type", "nsStyleXUL", "--whitelist-type", "nsTArrayHeader", "--whitelist-type", "Position", "--whitelist-type", "PropertyValuePair", "--whitelist-type", "Runnable", "--whitelist-type", "ServoAttrSnapshot", "--whitelist-type", "ServoBundledURI", "--whitelist-type", "ServoComputedData", "--whitelist-type", "ServoComputedDataBorrowed", "--whitelist-type", "ServoElementSnapshot", "--whitelist-type", "ComputedStyleStrong", "--whitelist-type", "ComputedStyleBorrowed", "--whitelist-type", "ComputedStyleBorrowedOrNull", "--whitelist-type", "SheetParsingMode", "--whitelist-type", "StaticRefPtr", "--whitelist-type", "StyleAnimation", "--whitelist-type", "StyleBasicShapeType", "--whitelist-type", "StyleGeometryBox", "--whitelist-type", "StyleShapeSource", "--whitelist-type", "StyleTransition", "--whitelist-type", "ThemeWidgetType", "--whitelist-type", "mozilla::UniquePtr", "--whitelist-type", "mozilla::DefaultDelete", "--whitelist-type", "mozilla::Side", "--whitelist-type", "mozilla::binding_danger::AssertAndSuppressCleanupPolicy", "--whitelist-type", "mozilla::ParsingMode", "--whitelist-type", "mozilla::InheritTarget", "--whitelist-type", "mozilla::ServoDeclarationBlock", "--whitelist-type", "mozilla::dom::MediaList", "--whitelist-type", "mozilla::StyleRuleInclusion", "--whitelist-type", "nsStyleTransformMatrix::MatrixTransformOperator", "--whitelist-var", "NS_AUTHOR_SPECIFIED_.*", "--whitelist-var", "NS_THEME_.*", "--whitelist-var", "NODE_.*", "--whitelist-var", "ELEMENT_.*", "--whitelist-var", "NS_FONT_.*", "--whitelist-var", "NS_STYLE_.*", "--whitelist-var", "NS_MATHML_.*", "--whitelist-var", "NS_RADIUS_.*", "--whitelist-var", "BORDER_COLOR_.*", "--whitelist-var", "BORDER_STYLE_.*", "--whitelist-var", "CSS_PSEUDO_ELEMENT_.*", "--whitelist-var", "SERVO_CSS_PSEUDO_ELEMENT_FLAGS_.*", "--whitelist-var", "kNameSpaceID_.*", "--whitelist-var", "kGenericFont_.*", "--whitelist-var", "kPresContext_.*", "--whitelist-var", "nsContentUtils_.*", "--whitelist-var", "GECKO_IS_NIGHTLY", "--", "-I", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include", "-I", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nspr", "-include", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla-config.h", "-x", "c++", "-std=c++14", "-fno-sized-deallocation", "-DTRACING=1", "-DIMPL_LIBXUL", "-DMOZ_STYLO_BINDINGS=1", "-DMOZILLA_INTERNAL_API", "-DRUST_BINDGEN", "-DOS_POSIX=1", "-m64", "-DOS_LINUX=1", "-I/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nspr", "-I/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nss", "-I/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/cairo", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nsStyleStruct.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/StyleAnimationValue.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/gfxFontConstants.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/gfxFontFeatures.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nsThemeConstants.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/css/Loader.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/css/SheetLoadData.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/dom/AnimationEffectBinding.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/dom/HTMLSlotElement.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/dom/KeyframeEffectBinding.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/dom/MediaList.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/dom/ShadowRoot.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/AnimationPropertySegment.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/ComputedTiming.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/ComputedTimingFunction.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/Keyframe.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/ServoElementSnapshot.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/ServoElementSnapshotTable.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/css/ErrorReporter.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/dom/Element.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/dom/ChildIterator.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/dom/NameSpaceConstants.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/LookAndFeel.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/StaticPrefs.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/ServoBindings.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/ComputedStyle.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/ServoDeclarationBlock.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/ServoTraversalStatistics.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/SizeOfState.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nsCSSProps.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nsContentUtils.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nsNameSpaceManager.h", "/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/nsMediaFeatures.h", "--no-rustfmt-bindings"]', servo/components/style/build_gecko.rs:276:17
19:42.07 stack backtrace:
19:42.07    0:     0x55555572c63b - std::sys::unix::backtrace::tracing::imp::unwind_backtrace::h56efc8b47c110c58
19:42.07                                at libstd/sys/unix/backtrace/tracing/gcc_s.rs:49
19:42.07    1:     0x555555731180 - std::sys_common::backtrace::print::hfb1b30082d3d25c1
19:42.07                                at libstd/sys_common/backtrace.rs:71
19:42.07                                at libstd/sys_common/backtrace.rs:59
19:42.07    2:     0x55555571e8fd - std::panicking::default_hook::{{closure}}::hb67c99375aabd5d0
19:42.07                                at libstd/panicking.rs:380
19:42.07    3:     0x55555571e669 - std::panicking::default_hook::h68d1c0c0bdcdafe6
19:42.07                                at libstd/panicking.rs:396
19:42.07    4:     0x55555571ed50 - std::panicking::rust_panic_with_hook::he8346e7912797ff1
19:42.07                                at libstd/panicking.rs:576
19:42.07    5:     0x55555571eb9e - std::panicking::begin_panic::h7eb321f279c30f36
19:42.07                                at libstd/panicking.rs:537
19:42.07    6:     0x55555571eb0a - std::panicking::begin_panic_fmt::h3e1b2c309f719757
19:42.07                                at libstd/panicking.rs:521
19:42.07    7:     0x555555576d10 - build_script_build::build_gecko::bindings::write_binding_file::ha680e3926b5cecf6
19:42.07    8:     0x55555557743c - build_script_build::build_gecko::bindings::generate_structs::h6b80f162e656bf36
19:42.07    9:     0x55555573b84e - __rust_maybe_catch_panic
19:42.07                                at libpanic_unwind/lib.rs:102
19:42.07   10:     0x555555571bb4 - std::panicking::try::h3bb7a9b2dc55ba5e
19:42.07   11:     0x55555557b298 - std::panic::catch_unwind::h5267be10e0a90698
19:42.07   12:     0x555555566ff4 - <F as alloc::boxed::FnBox<A>>::call_box::ha787794515da8dce
19:42.07   13:     0x555555734207 - std::sys_common::thread::start_thread::h4ab94af70c7c8a9e
19:42.07                                at /home/abuild/rpmbuild/BUILD/rustc-1.25.0-src/src/liballoc/boxed.rs:798
19:42.07                                at libstd/sys_common/thread.rs:24
19:42.07   14:     0x55555571f378 - std::sys::unix::thread::Thread::new::thread_start::h06526a71efb51622
19:42.07                                at libstd/sys/unix/thread.rs:90
19:42.07   15:     0x7ffff7bbf59a - start_thread
19:42.07   16:     0x7ffff72cfa1e - __clone
19:42.07   17:                0x0 - <unknown>
19:42.07 thread 'main' panicked at 'called `Result::unwrap()` on an `Err` value: Any', libcore/result.rs:945:5
19:42.07 stack backtrace:
19:42.07    0:     0x55555572c63b - std::sys::unix::backtrace::tracing::imp::unwind_backtrace::h56efc8b47c110c58
19:42.07                                at libstd/sys/unix/backtrace/tracing/gcc_s.rs:49
19:42.07    1:     0x555555731180 - std::sys_common::backtrace::print::hfb1b30082d3d25c1
19:42.07                                at libstd/sys_common/backtrace.rs:71
19:42.07                                at libstd/sys_common/backtrace.rs:59
19:42.07    2:     0x55555571e8fd - std::panicking::default_hook::{{closure}}::hb67c99375aabd5d0
19:42.07                                at libstd/panicking.rs:380
19:42.07    3:     0x55555571e669 - std::panicking::default_hook::h68d1c0c0bdcdafe6
19:42.07                                at libstd/panicking.rs:396
19:42.07    4:     0x55555571ed50 - std::panicking::rust_panic_with_hook::he8346e7912797ff1
19:42.07                                at libstd/panicking.rs:576
19:42.07    5:     0x55555571eb9e - std::panicking::begin_panic::h7eb321f279c30f36
19:42.07                                at libstd/panicking.rs:537
19:42.07    6:     0x55555571eb0a - std::panicking::begin_panic_fmt::h3e1b2c309f719757
19:42.07                                at libstd/panicking.rs:521
19:42.07    7:     0x55555571eaa2 - rust_begin_unwind
19:42.07                                at libstd/panicking.rs:497
19:42.07    8:     0x555555748d70 - core::panicking::panic_fmt::hab703c003f911be6
19:42.08                                at libcore/panicking.rs:71
19:42.08    9:     0x555555565a54 - core::result::unwrap_failed::ha7a98e7a9079a144
19:42.08   10:     0x555555579177 - build_script_build::build_gecko::bindings::generate::h298aec7f7fa4d8b6
19:42.08   11:     0x55555556dfdd - build_script_build::main::h1d500f99c5819703
19:42.08   12:     0x5555555793f2 - std::rt::lang_start::{{closure}}::h18296d684ad1d659
19:42.08   13:     0x55555571ea07 - std::panicking::try::do_call::hef196bbf9494b1da
19:42.08                                at libstd/rt.rs:59
19:42.08                                at libstd/panicking.rs:479
19:42.08   14:     0x55555573b84e - __rust_maybe_catch_panic
19:42.08                                at libpanic_unwind/lib.rs:102
19:42.08   15:     0x5555557271c5 - std::rt::lang_start_internal::h688aadcf93d7fa8a
19:42.08                                at libstd/panicking.rs:458
19:42.08                                at libstd/panic.rs:358
19:42.08                                at libstd/rt.rs:58
19:42.08   16:     0x5555555793df - std::rt::lang_start::hb869a50716c6c366
19:42.08   17:     0x7ffff71f7a86 - __libc_start_main
19:42.08   18:     0x555555564679 - _start
19:42.08                                at ../sysdeps/x86_64/start.S:120
19:42.08   19:                0x0 - <unknown>

It comes from building Firefox from sources. Note that it's probably related to:
19:42.07 /home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/Compiler.h:49:12: fatal error: 'cstddef' file not found
19:42.07 /home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/Compiler.h:49:12: fatal error: 'cstddef' file not found, err: true
Comment 1 Martin Liška 2018-06-01 08:29:33 UTC
May I please ping this, it's blocking my periodic testers..
Comment 2 Michal Srb 2018-06-01 11:55:05 UTC
It seems the bindgen tool is failing. It uses clang internally and it can not find the "cstddef" file for some reason. No idea why, I think it should use the newest libstdc++ version by default.

Could you isolate the build step that runs it and start it under strace so we would know where is it looking for it?

Alternatively, do you have libc++-devel or any of libstdc++6-devel-gccN installed? Which versions? If you don't have some of them installed, did you try if installing them helps?
Comment 3 Martin Liška 2018-06-04 08:49:39 UTC
Created attachment 772270 [details]
strace log file
Comment 4 Martin Liška 2018-06-04 08:52:19 UTC
(In reply to Michal Srb from comment #2)
> It seems the bindgen tool is failing. It uses clang internally and it can
> not find the "cstddef" file for some reason. No idea why, I think it should
> use the newest libstdc++ version by default.
> 
> Could you isolate the build step that runs it and start it under strace so
> we would know where is it looking for it?
> 
> Alternatively, do you have libc++-devel or any of libstdc++6-devel-gccN
> installed? Which versions? If you don't have some of them installed, did you
> try if installing them helps?

I have installed:

libstdc++6-devel-gcc7-32bit
libstdc++6-32bit
libstdc++6
libstdc++-devel-32bit-7-2.9.x86_64
libstdc++6-devel-gcc7
libstdc++-devel-7-2.9.x86_64

and

libc++-devel-6.0.0-5.1.x86_64
Comment 5 Martin Liška 2018-06-11 07:50:38 UTC
Does it help Michal what I attached?
Comment 6 Michal Srb 2018-06-11 08:36:31 UTC
The strace shows that it is not even trying to look into any of the /usr/include/c++/<version> directories.

I have found this bug that looks relevant:
https://bugzilla.mozilla.org/show_bug.cgi?id=1412983

It claims that setting these in .mozconfig workarounds the issue:
HOST_CC=clang
HOST_CXX=clang++
Comment 7 Martin Liška 2018-06-11 09:58:18 UTC
(In reply to Michal Srb from comment #6)
> The strace shows that it is not even trying to look into any of the
> /usr/include/c++/<version> directories.

Which looks like a bug.

> 
> I have found this bug that looks relevant:
> https://bugzilla.mozilla.org/show_bug.cgi?id=1412983
> 
> It claims that setting these in .mozconfig workarounds the issue:
> HOST_CC=clang
> HOST_CXX=clang++

I'm interested in building Firefox with GCC, so it won't work for me.
Comment 8 Martin Liška 2018-06-12 10:28:57 UTC
I can confirm it's fixed with:
https://hg.mozilla.org/mozilla-central/rev/b0eedb4c140b

which was eventually reverted in:
https://hg.mozilla.org/mozilla-central/rev/d49e40cb14e5de521fdade4a872d0fa804d7d400

Can we please resubmit the patch which will do it conditionally on Linux?
Comment 9 Martin Liška 2018-06-12 11:43:58 UTC
(In reply to Martin Liška from comment #8)
> I can confirm it's fixed with:
> https://hg.mozilla.org/mozilla-central/rev/b0eedb4c140b
> 
> which was eventually reverted in:
> https://hg.mozilla.org/mozilla-central/rev/
> d49e40cb14e5de521fdade4a872d0fa804d7d400
> 
> Can we please resubmit the patch which will do it conditionally on Linux?

Unfortunately it's not enough, it dies much later, but fails:

 0:03.43 gmake[4]: Leaving directory '/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/gfx/angle/targets/translator'
 0:05.86 error: failed to run custom build command for `style v0.0.1 (file:///home/marxin/Programming/gecko-dev/servo/components/style)`
 0:05.86 process didn't exit successfully: `/home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/toolkit/library/release/build/style-f2d5bbb16bfb6c34/build-script-build` (exit code: 101)
 0:05.86 --- stdout
...
 0:06.00 /home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/toolkit/library/x86_64-unknown-linux-gnu/release/build/style-8680b261231ce3fc/out/gecko/atom_macro.rs is not changed, skip
 0:06.00 cargo:rerun-if-changed=/home/marxin/Programming/gecko-dev/servo/components/style/gecko/pseudo_element_definition.mako.rs
 0:06.00 /home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/toolkit/library/x86_64-unknown-linux-gnu/release/build/style-8680b261231ce3fc/out/gecko/pseudo_element_definition.rs is not changed, skip
 0:06.00 --- stderr
 0:06.00 /home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/Compiler.h:49:12: fatal error: 'cstddef' file not found
 0:06.00 /home/marxin/Programming/gecko-dev/obj-x86_64-pc-linux-gnu/dist/include/mozilla/Compiler.h:49:12: fatal error: 'cstddef' file not found, err: true
Comment 10 Martin Liška 2018-06-12 14:29:05 UTC
Looks FF 60 release is fine in build service:
https://build.opensuse.org/package/live_build_log/mozilla:Factory/MozillaFirefox/openSUSE_Factory/x86_64

I was not able to build it. Even with bit strange patch:
https://build.opensuse.org/package/view_file/mozilla:Factory/MozillaFirefox/mozilla-no-stdcxx-check.patch?expand=1

Wolfgang can you help us why we use it?
Comment 11 Martin Liška 2018-07-18 09:10:56 UTC
Works for me on my TW system after update. Thus closing.